Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class MediaController.Feature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.MediaController.Feature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  MediaController

    public static final class MediaController.Feature

extends java.lang.Enum
implements QtEnumerator

The values of this enum are interpreted differently depending on the type of media source, e.g., DVD or CD. We give examples for these sources.

See Also:
  Serialized Form

Field Summary
`static MediaController.Feature` | `Angles`
`static MediaController.Feature` | `Chapters`
`static MediaController.Feature` | `Titles`

Method Summary
`static MediaController.Features` | `createQFlags(MediaController.Feature[] values)` This function creates a com.trolltech.qt.phonon.MediaController$Features with the specified `com.trolltech.qt.phonon.MediaController$Feature[]` Feature values set.
`static MediaController.Feature` | `resolve(int value)` Returns the Feature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static MediaController.Feature` | `valueOf(java.lang.String name)`
`static MediaController.Feature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Angles

    public static final MediaController.Feature Angles

### Chapters

    public static final MediaController.Feature Chapters

### Titles

    public static final MediaController.Feature Titles

Method Detail

### values

    public static MediaController.Feature[] values()

### valueOf

    public static MediaController.Feature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static MediaController.Features createQFlags(MediaController.Feature[] values)

  This function creates a com.trolltech.qt.phonon.MediaController$Features with the specified `com.trolltech.qt.phonon.MediaController$Feature[]` Feature values set.

### resolve

    public static MediaController.Feature resolve(int value)

  Returns the Feature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD